
import dotenv from 'dotenv';
import cfg, { load } from 'cfg-loader';
import logger from '../lib/logger';

dotenv.config();
logger.log(`NODE_ENV: ${process.env.NODE_ENV}`);

load(__dirname, { envVariable: 'NODE_ENV' });

export default cfg;
