global.Promise = require('bluebird');
require('dotenv').config();

require('babel-core/register')();
require('babel-runtime/core-js/promise').default = global.Promise;

const sendEmail = require('./mailgun');

sendEmail({
  from: 'Ench Team <hi@ench.me>',
  to: 'artmadiar@gmail.com',
  subject: 'Test message',
  html: `
  <html>
    <head>
      <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
      <meta name="viewport" content="width=device-width">
      <title>Activation letter</title>  
    </head>
    <body>
      <h2>Test message</h2>
      <p>test message was sent at ${new Date()}</p>
      <p>ENV ${process.env.NODE_ENV}</p>
    </body>
  </html>`
})
  .then((res) => {
    console.log(res);
    process.exit();
  })
  .catch((err) => {
    console.error(err);
    process.exit(1);
  });
