export default ({ maxPerPage = 12 } = {}) => (req, res, next) => {
  req.chunk = parseInt(req.query.chunk, 10) || 1;
  if (!req.query.perChunk || parseInt(req.query.perChunk, 10) > maxPerPage) {
    req.perChunk = maxPerPage;
  } else {
    req.perChunk = parseInt(req.query.perChunk, 10);
  }

  req.offset = (req.chunk - 1) * req.perChunk;
  req.limit = req.perChunk;

  return next();
};
