module.exports = {
  up: async (queryInterface) => {
    await queryInterface.addIndex('user', ['email'], {
      unique: true,
      name: 'user_unique_by_email',
    });
  },

  down: async (queryInterface) => {
    await queryInterface.removeIndex('user', 'user_unique_by_email');
  },
};
