module.exports = {
  up: async (queryInterface) => {
    await queryInterface.addIndex('client', ['insuranceNumber'], {
      unique: true,
      name: 'client_unique_by_insuranceNumber',
    });
    await queryInterface.addIndex('client', ['birthNumber'], {
      unique: true,
      name: 'client_unique_by_birthNumber',
    });
  },

  down: async (queryInterface) => {
    await queryInterface.removeIndex('client', 'client_unique_by_insuranceNumber');
    await queryInterface.removeIndex('client', 'client_unique_by_birthNumber');
  },
};
