module.exports = {
  up: async (queryInterface, DataTypes) => {
    await queryInterface.changeColumn('schedule', 'from', {
      type: DataTypes.STRING(50),
      allowNull: false,
    });
    await queryInterface.changeColumn('schedule', 'to', {
      type: DataTypes.STRING(50),
      allowNull: false,
    });
  },

  down: async (queryInterface, DataTypes) => {
    await queryInterface.changeColumn('schedule', 'from', {
      type: DataTypes.DATE(6),
      allowNull: false,
    });
    await queryInterface.changeColumn('schedule', 'to', {
      type: DataTypes.DATE(6),
      allowNull: false,
    });
  },
};
