module.exports = {
  up: async (queryInterface, DataTypes) => {
    await queryInterface.changeColumn('appointment', 'visitTimeFrom', {
      type: DataTypes.DATE,
      allowNull: false,
    });
    await queryInterface.changeColumn('appointment', 'visitTimeTo', {
      type: DataTypes.DATE,
      allowNull: false,
    });
    await queryInterface.changeColumn('appointment', 'sessionTimeTo', {
      type: DataTypes.DATE,
      allowNull: false,
    });
  },

  down: async (queryInterface, DataTypes) => {
    await queryInterface.changeColumn('appointment', 'visitTimeFrom', {
      type: DataTypes.DATE(6),
      allowNull: false,
    });
    await queryInterface.changeColumn('appointment', 'visitTimeTo', {
      type: DataTypes.DATE(6),
      allowNull: false,
    });
    await queryInterface.changeColumn('appointment', 'sessionTimeTo', {
      type: DataTypes.DATE(6),
      allowNull: false,
    });
  },
};
