module.exports = {
  up: async (queryInterface, DataTypes) => {
    await queryInterface.addColumn('user', 'isDoctor', {
      type: DataTypes.BOOLEAN,
      allowNull: false,
      defaultValue: true,
    });
    await queryInterface.addColumn('user', 'colorCode', {
      type: DataTypes.STRING(50),
      allowNull: false,
      defaultValue: '#000000',
    });
  },

  down: async (queryInterface) => {
    await queryInterface.removeColumn('user', 'isDoctor');
    await queryInterface.removeColumn('user', 'colorCode');
  },
};
