module.exports = {
  up: async (queryInterface) => {
    await queryInterface.addIndex('client', ['firstName'], {
      name: 'client_index_for_firstName',
    });
    await queryInterface.addIndex('client', ['lastName'], {
      name: 'client_index_for_lastName',
    });
  },

  down: async (queryInterface) => {
    await queryInterface.removeIndex('client', 'client_index_for_firstName');
    await queryInterface.removeIndex('client', 'client_index_for_lastName');
  },
};
