module.exports = {
  up: async (queryInterface) => {
    await queryInterface.addIndex('schedule', ['userId', 'day'], {
      unique: true,
      name: 'schedule_unique_by_user_day',
    });
  },

  down: async (queryInterface) => {
    await queryInterface.removeIndex('schedule', 'schedule_unique_by_user_day');
  },
};
