require('dotenv').config();
const DB = require('../app/models');

const db = DB();

async function start() {
  const count = await db.user.count();

  if (count === 0) {
    await db.user.create({
      email: 'director@company.com',
      password: '123456',
      role: 'director',
      firstName: '',
      lastName: '',
      isDoctor: false,
      colorCode: '#C0C0C0',
    });
  }
}

start()
  .then(() => {
    console.log('done');
    process.exit(0);
  })
  .catch((err) => {
    console.error(err);
    process.exit(1);
  });
