export const fakeClients = [
  {
    id: 4,
    firstName: 'John',
    lastName: 'Doe',
    birthDate: '15-02-1951',
    birthNumber: '1234123',
    insuranceNumber: '6662341',
    street: 'street',
    city: 'city',
    postcode: '123122',
    allergies: 'allergies',
    notificationType: 'sms',
  },
];

export const fakeDoctors = [
  {
    id: 1,
    email: 'director@company.com',
    role: 'director',
    firstName: 'František',
    lastName: 'Rolínek',
    photoUrl: null,
    doctorSpecialization: null,
    isDoctor: true,
    colorCode: '#EF6262',
  },
  {
    id: 2,
    email: 'doctor@company.com',
    role: 'doctor',
    firstName: 'Anna',
    lastName: 'Morozova',
    photoUrl: null,
    doctorSpecialization: null,
    isDoctor: true,
    colorCode: '#E2E25A',
  },
  {
    id: 3,
    email: 'doctor@company.com',
    role: 'doctor',
    firstName: 'Daniel',
    lastName: 'Bendík',
    photoUrl: null,
    doctorSpecialization: null,
    isDoctor: true,
    colorCode: '#CA01FC',
  },
  {
    id: 4,
    email: 'doctor@company.com',
    role: 'doctor',
    firstName: 'Václav',
    lastName: 'Chudý',
    photoUrl: null,
    doctorSpecialization: null,
    isDoctor: true,
    colorCode: '#0BBCB6',
  },
  {
    id: 5,
    email: 'doctor@company.com',
    role: 'doctor',
    firstName: 'Robert',
    lastName: 'Koch',
    photoUrl: null,
    doctorSpecialization: null,
    isDoctor: true,
    colorCode: '#1DBF04',
  },
  {
    id: 6,
    email: 'doctor@company.com',
    role: 'doctor',
    firstName: 'Hanka',
    lastName: 'Vodilová',
    photoUrl: null,
    doctorSpecialization: null,
    isDoctor: true,
    colorCode: '#F3881C',
  },
];

export const fakeCabinets = [
  { title: 'Ordinace 1', id: 1, colorCode: '#974242' },
  { title: 'Ordinace 2', id: 2, colorCode: '#598D54' },
  { title: 'Ordinace 3', id: 3, colorCode: '#48A5C9' },
  { title: 'Ordinace 4', id: 4, colorCode: '#8B8B57' },
  { title: 'Ordinace 5', id: 5, colorCode: '#884B97' },
];

export const fakeAppointments = [
  {
    id: 0,
    visitDate: '30-11-2020',
    visitTimeFrom: '9:30',
    visitTimeTo: '11:00',
    sessionTimeTo: '16:00',
    complaint: 'complaint complaint complaint',
    diagnosis: 'diagnosis diagnosis',
    comment: 'comment',
    clientNotifiedAt: false,
    author: fakeDoctors[0],
    cabinet: fakeCabinets[0],
    client: fakeClients[0],
    doctor: fakeDoctors[0],
  },
  {
    id: 1,
    visitDate: '30-11-2020',
    visitTimeFrom: '11:15',
    visitTimeTo: '12:30',
    sessionTimeTo: '16:00',
    complaint: 'complaint complaint complaint',
    diagnosis: 'diagnosis diagnosis',
    comment: 'comment',
    clientNotifiedAt: false,
    author: fakeDoctors[0],
    cabinet: fakeCabinets[0],
    client: fakeClients[0],
    doctor: fakeDoctors[1],
  },
  {
    id: 2,
    visitDate: '30-11-2020',
    visitTimeFrom: '13:00',
    visitTimeTo: '15:00',
    sessionTimeTo: '16:00',
    complaint: 'complaint complaint complaint',
    diagnosis: 'diagnosis diagnosis',
    comment: 'comment',
    clientNotifiedAt: false,
    author: fakeDoctors[0],
    cabinet: fakeCabinets[0],
    client: fakeClients[0],
    doctor: fakeDoctors[0],
  },
  {
    id: 3,
    visitDate: '30-11-2020',
    visitTimeFrom: '16:00',
    visitTimeTo: '18:00',
    sessionTimeTo: '16:00',
    complaint: 'complaint complaint complaint',
    diagnosis: 'diagnosis diagnosis',
    comment: 'comment',
    clientNotifiedAt: false,
    author: fakeDoctors[0],
    cabinet: fakeCabinets[0],
    client: fakeClients[0],
    doctor: fakeDoctors[0],
  },
  {
    id: 4,
    visitDate: '30-11-2020',
    visitTimeFrom: '18:30',
    visitTimeTo: '21:15',
    sessionTimeTo: '16:00',
    complaint: 'complaint complaint complaint',
    diagnosis: 'diagnosis diagnosis',
    comment: 'comment',
    clientNotifiedAt: false,
    author: fakeDoctors[0],
    cabinet: fakeCabinets[0],
    client: fakeClients[0],
    doctor: fakeDoctors[0],
  },
  {
    id: 5,
    visitDate: '30-11-2020',
    visitTimeFrom: '7:30',
    visitTimeTo: '9:30',
    sessionTimeTo: '16:00',
    complaint: 'complaint complaint complaint',
    diagnosis: 'diagnosis diagnosis',
    comment: 'comment',
    clientNotifiedAt: false,
    author: fakeDoctors[0],
    cabinet: fakeCabinets[1],
    client: fakeClients[0],
    doctor: fakeDoctors[1],
  },
  {
    id: 6,
    visitDate: '30-11-2020',
    visitTimeFrom: '10:30',
    visitTimeTo: '14:00',
    sessionTimeTo: '16:00',
    complaint: 'complaint complaint complaint',
    diagnosis: 'diagnosis diagnosis',
    comment: 'comment',
    clientNotifiedAt: false,
    author: fakeDoctors[0],
    cabinet: fakeCabinets[1],
    client: fakeClients[0],
    doctor: fakeDoctors[2],
  },
  {
    id: 7,
    visitDate: '30-11-2020',
    visitTimeFrom: '15:00',
    visitTimeTo: '16:00',
    sessionTimeTo: '16:00',
    complaint: 'complaint complaint complaint',
    diagnosis: 'diagnosis diagnosis',
    comment: 'comment',
    clientNotifiedAt: false,
    author: fakeDoctors[0],
    cabinet: fakeCabinets[1],
    client: fakeClients[0],
    doctor: fakeDoctors[1],
  },
  {
    id: 8,
    visitDate: '30-11-2020',
    visitTimeFrom: '16:30',
    visitTimeTo: '19:15',
    sessionTimeTo: '16:00',
    complaint: 'complaint complaint complaint',
    diagnosis: 'diagnosis diagnosis',
    comment: 'comment',
    clientNotifiedAt: false,
    author: fakeDoctors[0],
    cabinet: fakeCabinets[1],
    client: fakeClients[0],
    doctor: fakeDoctors[1],
  },
  {
    id: 9,
    visitDate: '30-11-2020',
    visitTimeFrom: '21:00',
    visitTimeTo: '22:00',
    sessionTimeTo: '16:00',
    complaint: 'complaint complaint complaint',
    diagnosis: 'diagnosis diagnosis',
    comment: 'comment',
    clientNotifiedAt: false,
    author: fakeDoctors[0],
    cabinet: fakeCabinets[1],
    client: fakeClients[0],
    doctor: fakeDoctors[3],
  },
  {
    id: 10,
    visitDate: '30-11-2020',
    visitTimeFrom: '8:30',
    visitTimeTo: '11:00',
    sessionTimeTo: '16:00',
    complaint: 'complaint complaint complaint',
    diagnosis: 'diagnosis diagnosis',
    comment: 'comment',
    clientNotifiedAt: false,
    author: fakeDoctors[0],
    cabinet: fakeCabinets[2],
    client: fakeClients[0],
    doctor: fakeDoctors[3],
  },
  {
    id: 11,
    visitDate: '30-11-2020',
    visitTimeFrom: '12:00',
    visitTimeTo: '13:00',
    sessionTimeTo: '16:00',
    complaint: 'complaint complaint complaint',
    diagnosis: 'diagnosis diagnosis',
    comment: 'comment',
    clientNotifiedAt: false,
    author: fakeDoctors[0],
    cabinet: fakeCabinets[2],
    client: fakeClients[0],
    doctor: fakeDoctors[3],
  },
  {
    id: 12,
    visitDate: '30-11-2020',
    visitTimeFrom: '14:30',
    visitTimeTo: '17:30',
    sessionTimeTo: '16:00',
    complaint: 'complaint complaint complaint',
    diagnosis: 'diagnosis diagnosis',
    comment: 'comment',
    clientNotifiedAt: false,
    author: fakeDoctors[0],
    cabinet: fakeCabinets[2],
    client: fakeClients[0],
    doctor: fakeDoctors[3],
  },
  {
    id: 13,
    visitDate: '30-11-2020',
    visitTimeFrom: '18:30',
    visitTimeTo: '20:00',
    sessionTimeTo: '16:00',
    complaint: 'complaint complaint complaint',
    diagnosis: 'diagnosis diagnosis',
    comment: 'comment',
    clientNotifiedAt: false,
    author: fakeDoctors[0],
    cabinet: fakeCabinets[2],
    client: fakeClients[0],
    doctor: fakeDoctors[3],
  },
  {
    id: 14,
    visitDate: '30-11-2020',
    visitTimeFrom: '7:30',
    visitTimeTo: '9:00',
    sessionTimeTo: '16:00',
    complaint: 'complaint complaint complaint',
    diagnosis: 'diagnosis diagnosis',
    comment: 'comment',
    clientNotifiedAt: false,
    author: fakeDoctors[0],
    cabinet: fakeCabinets[3],
    client: fakeClients[0],
    doctor: fakeDoctors[4],
  },
  {
    id: 15,
    visitDate: '30-11-2020',
    visitTimeFrom: '11:00',
    visitTimeTo: '12:00',
    sessionTimeTo: '16:00',
    complaint: 'complaint complaint complaint',
    diagnosis: 'diagnosis diagnosis',
    comment: 'comment',
    clientNotifiedAt: false,
    author: fakeDoctors[0],
    cabinet: fakeCabinets[3],
    client: fakeClients[0],
    doctor: fakeDoctors[4],
  },
  {
    id: 16,
    visitDate: '30-11-2020',
    visitTimeFrom: '13:00',
    visitTimeTo: '14:30',
    sessionTimeTo: '16:00',
    complaint: 'complaint complaint complaint',
    diagnosis: 'diagnosis diagnosis',
    comment: 'comment',
    clientNotifiedAt: false,
    author: fakeDoctors[0],
    cabinet: fakeCabinets[3],
    client: fakeClients[0],
    doctor: fakeDoctors[1],
  },
  {
    id: 17,
    visitDate: '30-11-2020',
    visitTimeFrom: '15:00',
    visitTimeTo: '16:30',
    sessionTimeTo: '16:00',
    complaint: 'complaint complaint complaint',
    diagnosis: 'diagnosis diagnosis',
    comment: 'comment',
    clientNotifiedAt: false,
    author: fakeDoctors[0],
    cabinet: fakeCabinets[3],
    client: fakeClients[0],
    doctor: fakeDoctors[4],
  },
  {
    id: 18,
    visitDate: '30-11-2020',
    visitTimeFrom: '17:15',
    visitTimeTo: '18:45',
    sessionTimeTo: '16:00',
    complaint: 'complaint complaint complaint',
    diagnosis: 'diagnosis diagnosis',
    comment: 'comment',
    clientNotifiedAt: false,
    author: fakeDoctors[0],
    cabinet: fakeCabinets[3],
    client: fakeClients[0],
    doctor: fakeDoctors[4],
  },
  {
    id: 19,
    visitDate: '30-11-2020',
    visitTimeFrom: '20:00',
    visitTimeTo: '21:00',
    sessionTimeTo: '16:00',
    complaint: 'complaint complaint complaint',
    diagnosis: 'diagnosis diagnosis',
    comment: 'comment',
    clientNotifiedAt: false,
    author: fakeDoctors[0],
    cabinet: fakeCabinets[3],
    client: fakeClients[0],
    doctor: fakeDoctors[1],
  },
  {
    id: 20,
    visitDate: '30-11-2020',
    visitTimeFrom: '7:00',
    visitTimeTo: '8:30',
    sessionTimeTo: '16:00',
    complaint: 'complaint complaint complaint',
    diagnosis: 'diagnosis diagnosis',
    comment: 'comment',
    clientNotifiedAt: false,
    author: fakeDoctors[0],
    cabinet: fakeCabinets[4],
    client: fakeClients[0],
    doctor: fakeDoctors[5],
  },
  {
    id: 21,
    visitDate: '30-11-2020',
    visitTimeFrom: '9:00',
    visitTimeTo: '11:00',
    sessionTimeTo: '16:00',
    complaint: 'complaint complaint complaint',
    diagnosis: 'diagnosis diagnosis',
    comment: 'comment',
    clientNotifiedAt: false,
    author: fakeDoctors[0],
    cabinet: fakeCabinets[4],
    client: fakeClients[0],
    doctor: fakeDoctors[5],
  },
  {
    id: 22,
    visitDate: '30-11-2020',
    visitTimeFrom: '12:00',
    visitTimeTo: '13:00',
    sessionTimeTo: '16:00',
    complaint: 'complaint complaint complaint',
    diagnosis: 'diagnosis diagnosis',
    comment: 'comment',
    clientNotifiedAt: false,
    author: fakeDoctors[0],
    cabinet: fakeCabinets[4],
    client: fakeClients[0],
    doctor: fakeDoctors[5],
  },
  {
    id: 23,
    visitDate: '30-11-2020',
    visitTimeFrom: '13:45',
    visitTimeTo: '15:15',
    sessionTimeTo: '16:00',
    complaint: 'complaint complaint complaint',
    diagnosis: 'diagnosis diagnosis',
    comment: 'comment',
    clientNotifiedAt: false,
    author: fakeDoctors[0],
    cabinet: fakeCabinets[4],
    client: fakeClients[0],
    doctor: fakeDoctors[5],
  },
  {
    id: 24,
    visitDate: '30-11-2020',
    visitTimeFrom: '16:00',
    visitTimeTo: '17:30',
    sessionTimeTo: '16:00',
    complaint: 'complaint complaint complaint',
    diagnosis: 'diagnosis diagnosis',
    comment: 'comment',
    clientNotifiedAt: false,
    author: fakeDoctors[0],
    cabinet: fakeCabinets[4],
    client: fakeClients[0],
    doctor: fakeDoctors[2],
  },
  {
    id: 25,
    visitDate: '30-11-2020',
    visitTimeFrom: '19:00',
    visitTimeTo: '21:15',
    sessionTimeTo: '16:00',
    complaint: 'complaint complaint complaint',
    diagnosis: 'diagnosis diagnosis',
    comment: 'comment',
    clientNotifiedAt: false,
    author: fakeDoctors[0],
    cabinet: fakeCabinets[4],
    client: fakeClients[0],
    doctor: fakeDoctors[2],
  },
];
