const initState = {
  pageIndex: 0,
};

const reducer = (state = initState, action = { type: '', payload: {} }) => {
  switch (action.type) {
    case 'set_page':
      return {
        ...state,
        pageIndex: action.payload?.page || 0,
      };

    default:
      return state;
  }
};

export const selectPageIndex = (state = { mainPage: initState }) => state.mainPage.pageIndex;

export default reducer;
