import { compose, createStore, applyMiddleware, combineReducers } from 'redux';
import thunk from 'redux-thunk';
import user from '../reducers/userReducer';
import mainPage from '../reducers/mainPageReducer';

const reducer = combineReducers({
  user,
  mainPage,
});

// eslint-disable-next-line no-underscore-dangle
const devtools = window.__REDUX_DEVTOOLS_EXTENSION__?.() || ((a) => a);

export const store = createStore(reducer, compose(applyMiddleware(thunk), devtools));
